Skip to main content
`Ctrl`+`K`

# `skopt.plots`.plot_convergence

skopt.plots.plot_convergence(*args, true_minimum=None, yscale=None, ax=None)

  Plot one or several convergence traces.

  Parameters:
    results: `OptimizeResult`, iterable of `OptimizeResult`, or a 2-tuple

      of a label and a `OptimizeResult` or an iterable of `OptimizeResult`. The result(s) for which to plot the convergence trace.

      - if an `OptimizeResult`, draw the corresponding single trace

      - if an iterable of `OptimizeResult`, draw all traces in the same plot as well as the average convergence trace

      - if a tuple, the label names the trace(s) and the behavior is as specified above.

    true_minimum float, optional

      The true minimum value of the function, if known.

    yscale None or string, optional

      The scale for the y-axis.

  Returns:
    ax `Axes`

      The matplotlib axes the plot was drawn in